#ifndef string_h
#define string_h

#include "object.h"
#include "common.h"

#include <iostream.h>

class RefCString;

class wxString : public wxObject
{
private:
   RefCString *rcstring;

public:
   wxString(char *s = "");
   wxString(wxString & s);

   wxString(char c);
   wxString(int i);
   wxString(float f);
   wxString(double d);
   wxString(long l);

   ~wxString();

   int Length(void);
   wxString& Duplicate(void);

   wxString& operator =(char *s);
   wxString& operator =(wxString& s);
 
   Bool operator ==(char *s);

   Bool operator !=(char *s);

// These function overwrites the string !!
   wxString& operator +(char *s);

// Automatic conversions of wxString 
   operator char * ();
   operator double();
   operator float();
   operator int();
   operator long();

friend istream& operator >>(istream& is, wxString& s);

};

#endif // string_h
