#ifndef wx_mbut_h
#define wx_mbut_h

#include "wx_buttn.h"
#include "wx_mnuit.h"

class wxPanel;

class wxMenuButton : public wxButton
{
protected:
  wxMenuItem *menu_item;

public:
  wxMenuButton(wxPanel *panel, wxFunction func,
  		   wxMenuItem *menuItem, int x = -1, int y = -1, int width = -1, int height = -1, Bool create=TRUE);
  Bool Create(wxPanel *panel, wxFunction func,
		   wxMenuItem *menuItem, int x, int y, int width, int height);
  void OnPaint(void);
  void OnSetFocus(void);
  void OnKillFocus(void);
  void SetDefault(void);
  Bool ProcessEvent(wxEvent *ev);
};

#endif