#ifndef wx_userh
#define wx_userh

#include "wx_obj.h"
#include "common.h"

#ifdef MSDOS
class wxUser : public wxObject
{
public:
  wxUser(char *name = NULL) {}
  ~wxUser(void) {} 

  Bool CheckPasswd(char *passwd) { return TRUE; }
  Bool Become(void) { return TRUE; }
  char *Name(void) { return "nobody"; }
  char *HomeDir(void) { return "/"; }
  char *Password(void) { return "*"; }
  char *Shell(void) { return "command.com"; }
  int UserID(void) { return 1; }
  int GroupID(void) { return 1; }
};
#else
class wxUser : public wxObject
{
public:
  char *name;
  char *home;
  char *shell;
  char *passwd;
  int uid;
  int gid;

  wxUser(char *name = NULL);
  ~wxUser(void);

  Bool CheckPasswd(char *passwd);
  Bool Become(void);
  char *Name(void);
  char *HomeDir(void);
  char *Password(void);
  char *Shell(void);
  int UserID(void);
  int GroupID(void);
};
#endif // MSDOS

#endif
