#ifndef wx_resedh
#define wx_resedh

#include "wx_dialg.h"
#include "wx_lbox.h"
#include "wx_buttn.h"
#include "wx_txt.h"
#include "wx_utils.h"

class wxResEditDialog : public wxDialogBox
{
public:
  char *resfile;
  wxResource *curresource;
  wxListBox *grplist, *keylist;
  wxText *valuefield;
  wxList reslist;

  wxResEditDialog(char *file, char *title, Bool modal = TRUE, int x = -1,
		   int y = -1, int width = -1, int height = -1);
  ~wxResEditDialog(void);
  void AddResource(char *group, char *key);
};

wxResEditDialog *wxResourceEditor(char *file, char *title, Bool modal = TRUE, int x = -1,
		   int y = -1, int width = -1, int height = -1);
#endif