#ifndef wx_privt_h
#define wx_privt_h

#include "wx_panel.h"

class wxMenuPanel : public wxPanel
{
public:
  wxMenuPanel(wxFrame *frame,
		  int x=-1, int y=-1, int width=-1, int height=-1, int style=0, Bool create=TRUE);
  Bool Create(wxFrame *frame,
		  int x=-1, int y=-1, int width=-1, int height=-1, int style=0);
  void OnSetFocus(void);
  void OnKillFocus(void);
  wxRect MinimalWinSize(void);
  void Show(Bool flag); // kludge needed for ESC on menu's
};

#define GROW_SIZE 16

class TextString : public wxObject
{
protected:
  int size, len;
  char *text;

  Bool Grow(void);
  void Shrink(void);

public:
  TextString(char *s = "");
  ~TextString();
  void Set(char *s);
  int Length(void);
  char *FromPos(int pos);
  char *SubString(int from, int to);
  void Put(int pos, char c);
  void Append(char *s);
  void Put(int pos, char *s);
  void Insert(int pos, char c);
  void Insert(int pos, char *s);
  void Delete(int pos, int count = 1);

  operator char * ();
};

#endif