#ifndef wx_termbh
#define wx_termbh

#include "common.h"
#include "wx_obj.h"

#define DEFBUFLEN 256

class wxTermBuf : public wxObject
{
protected:
  char *buf;
  Bool bfull, bwasfull;
  int blen, bput, bget, btry;

  Bool Trying(void) {return btry != -1;}
public:
  wxTermBuf(int len = 0);
  ~wxTermBuf(void);
  virtual Bool Put(char c);
  virtual Bool Get(char *c);
  virtual Bool Peek(char *c);
  virtual int Put(char *s, int len);
  virtual int Put(char *s);
  virtual void Try(void);
  virtual void Cancel(void);
  virtual void Commit(void);
  virtual void Reset(void);
};

#endif
