#ifndef wx_vt100h
#define wx_vt100h

#include "wx_temu.h"

#define S_PRINT 1
#define S_ESC   2
#define S_ESC_SQ 3
#define S_ESC_RO 4
#define S_ESC_RC 5
#define S_ESC_Q 6

class wxVT100Emu : public wxTermEmu
{
  int state;
  int args[4];
  int argc;
  int savex, savey;
  unsigned long G0, G1, CharSet;
  int top, bot;
  Bool wrap;

public:
  wxVT100Emu(void);
  void Initialize(wxTermBuf *in, wxTermWindow *win, wxTermBuf *out);
  void ParseProcessOutput(wxTermBuf *in, wxTermWindow *termwin, wxTermBuf *out);
  void ParseProcessInput(int curskey, wxTermBuf *out);
  void Reset(wxTermBuf *in, wxTermWindow *termwin, wxTermBuf *out);
  void ResetSize(void);
  void WrapMode(Bool yn);
};

#endif
